MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027275Open CASCADE[OCCT] OCCT:Codingpublic2016-03-17 13:172016-12-09 16:37
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027275: Unused formal parameter in BSplCLib::EvalBsplineBasis
DescriptionEvalBsplineBasis (const Standard_Integer Side, const Standard_Integer DerivativeOrder, const Standard_Integer Order, const TColStd_Array1OfReal& FlatKnots, const Standard_Real Parameter, Standard_Integer& FirstNonZeroBsplineIndex, math_Matrix& BsplineBasis, const Standard_Boolean isPeriodic = Standard_False);

First parameter is defined but not used. It is necessary to remove it.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0051737)
git (administrator)
2016-03-17 14:33

Branch CR27275 has been created by aml.

SHA-1: bd7ca24999491537379ee9291dbe56faf2fe60e3


Detailed log of new commits:

Author: aml
Date: Thu Mar 17 14:22:22 2016 +0300

    0027275: Unused formal parameter in BSplCLib::EvalBsplineBasis
    
    Unused formal parameter is deleted.
(0051738)
aml (developer)
2016-03-17 14:35

Dear msv,
Please check current state of CR27275 and CR27275_prod (products repository) branches.
(0051744)
msv (developer)
2016-03-17 15:47

Reviewed.
(0051777)
apv (tester)
2016-03-18 13:18

Dear BugMaster,

Branch CR27275 from occt git-repository (and CR27275_prod from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: bd7ca24999491537379ee9291dbe56faf2fe60e3
SHA-1: 1d6b9fe0ac64637ca2b265cd354915e325fb5962

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 68
   Windows: 0
   MacOS: 1123

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
   occt component:
Total MEMORY difference: 90337280 / 89868575 [+0.52%]
Total CPU difference: 19251.38 / 19349.769999999997 [-0.51%]
   products component:
Total MEMORY difference: 25865128 / 25986702 [-0.47%]
Total CPU difference: 5295.199999999992 / 5343.1399999999885 [-0.90%]

Testing on Windows:
   occt component:
Total MEMORY difference: 57449284 / 58017858 [-0.98%]
Total CPU difference: 18291.772454198865 / 18103.713248698838 [+1.04%]
   products component:
Total MEMORY difference: 17537791 / 17647333 [-0.62%]
Total CPU difference: 5188.172057299956 / 5172.805958799955 [+0.30%]
(0054228)
git (administrator)
2016-05-20 12:23

Branch CR27275 has been deleted by inv.

SHA-1: bd7ca24999491537379ee9291dbe56faf2fe60e3

- Related Changesets
occt: master 6143f12f
Timestamp: 2016-03-17 11:22:22
Author: aml
Committer: bugmaster
Details ] Diff ]
0027275: Unused formal parameter in BSplCLib::EvalBsplineBasis

Unused formal parameter is deleted.
mod - src/BSplCLib/BSplCLib.cxx Diff ] File ]
mod - src/BSplCLib/BSplCLib.hxx Diff ] File ]
mod - src/BSplCLib/BSplCLib_2.cxx Diff ] File ]
mod - src/BSplCLib/BSplCLib_CurveComputation.gxx Diff ] File ]
mod - src/BSplSLib/BSplSLib.cxx Diff ] File ]
mod - src/FairCurve/FairCurve_DistributionOfJerk.cxx Diff ] File ]
mod - src/FairCurve/FairCurve_DistributionOfSagging.cxx Diff ] File ]
mod - src/FairCurve/FairCurve_DistributionOfTension.cxx Diff ] File ]
mod - src/GeomLib/GeomLib_DenominatorMultiplier.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-17 13:17 aml New Issue
2016-03-17 13:17 aml Assigned To => aml
2016-03-17 14:33 git Note Added: 0051737
2016-03-17 14:35 aml Note Added: 0051738
2016-03-17 14:35 aml Assigned To aml => msv
2016-03-17 14:35 aml Status new => resolved
2016-03-17 14:35 aml Steps to Reproduce Updated View Revisions
2016-03-17 15:47 msv Note Added: 0051744
2016-03-17 15:47 msv Assigned To msv => bugmaster
2016-03-17 15:47 msv Status resolved => reviewed
2016-03-17 16:50 apv Assigned To bugmaster => apv
2016-03-18 13:15 apv Test case number => Not needed
2016-03-18 13:18 apv Note Added: 0051777
2016-03-18 13:18 apv Assigned To apv => bugmaster
2016-03-18 13:18 apv Status reviewed => tested
2016-04-22 16:48 bugmaster Changeset attached => occt master 6143f12f
2016-04-22 16:48 bugmaster Status tested => verified
2016-04-22 16:48 bugmaster Resolution open => fixed
2016-05-20 12:23 git Note Added: 0054228
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker